> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /fedresurs/persons/search

> Search the bankruptcy register for individual debtors

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/fedresurs/persons/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/fedresurs/persons/search:
    post:
      tags:
        - /fedresurs
      summary: /fedresurs/persons/search
      description: |-
        Search the bankruptcy register for individual debtors

        **Price:** 5 credits per 100 results
      operationId: __api_fedresurs_persons_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FedresursPersonsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FedresursPerson'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FedresursPersonsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/FedresursRegion'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/FedresursPersonCategory'
            - type: 'null'
        only_active_case:
          anyOf:
            - type: boolean
            - type: 'null'
        count:
          type: integer
          maximum: 1000
          minimum: 1
      type: object
      required:
        - count
    FedresursPerson:
      properties:
        '@type':
          type: string
          default: FedresursPerson
        guid:
          type: string
        fio:
          anyOf:
            - type: string
            - type: 'null'
        inn:
          anyOf:
            - type: string
            - type: 'null'
        snils:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        last_legal_case:
          anyOf:
            - $ref: '#/components/schemas/FedresursLegalCase'
            - type: 'null'
      type: object
      required:
        - guid
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FedresursRegion:
      type: string
      enum:
        - '1'
        - '10'
        - '11'
        - '12'
        - '14'
        - '15'
        - '17'
        - '18'
        - '19'
        - '20'
        - '45'
        - '40'
        - '201'
        - '205'
        - '99'
        - '101'
        - '204'
        - '24'
        - '203'
        - '25'
        - '83'
        - '27'
        - '29'
        - '30'
        - '91'
        - '32'
        - '33'
        - '34'
        - '3'
        - '4'
        - '37'
        - '38'
        - '41'
        - '42'
        - '206'
        - '44'
        - '46'
        - '47'
        - '200'
        - '22'
        - '49'
        - '50'
        - '52'
        - '53'
        - '54'
        - '56'
        - '57'
        - '5'
        - '58'
        - '79'
        - '84'
        - '80'
        - '81'
        - '82'
        - '26'
        - '85'
        - '86'
        - '87'
        - '202'
        - '88'
        - '89'
        - '98'
        - '102'
        - '92'
        - '93'
        - '95'
        - '60'
        - '61'
        - '36'
        - '63'
        - '64'
        - '65'
        - '66'
        - '7'
        - '68'
        - '28'
        - '69'
        - '70'
        - '71'
        - '94'
        - '73'
        - '8'
        - '103'
        - '207'
        - '75'
        - '96'
        - '97'
        - '77'
        - '104'
        - '78'
    FedresursPersonCategory:
      type: string
      enum:
        - SimplePerson
        - EnterpreneurPerson
        - FarmerPerson
        - AbsentBankrupt
    FedresursLegalCase:
      properties:
        '@type':
          type: string
          default: FedresursLegalCase
        number:
          anyOf:
            - type: string
            - type: 'null'
        arbitr_manager_fio:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/FedresursLegalCaseStatus'
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    FedresursLegalCaseStatus:
      properties:
        '@type':
          type: string
          default: FedresursLegalCaseStatus
        code:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````